Bug 1035981 (CVE-2012-6612, CVE-2013-6407) - CVE-2012-6612 CVE-2013-6407 Apache Solr: XML eXternal Entity (XXE) flaw in XML and XSLT UpdateRequestHandler
Summary: CVE-2012-6612 CVE-2013-6407 Apache Solr: XML eXternal Entity (XXE) flaw in XM...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-6612, CVE-2013-6407
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1035993 1035994 1043748
Blocks: 991853 1035063
TreeView+ depends on / blocked
 
Reported: 2013-11-29 06:11 UTC by David Jorm
Modified: 2019-09-29 13:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-15 18:29:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1844 normal SHIPPED_LIVE Important: Red Hat JBoss Web Framework Kit 2.4.0 update 2013-12-16 23:21:40 UTC
Red Hat Product Errata RHSA-2014:0029 normal SHIPPED_LIVE Important: Red Hat JBoss Data Grid 6.2.0 update 2014-01-15 22:45:50 UTC

Description David Jorm 2013-11-29 06:11:44 UTC
It was found that the XML and XSLT UpdateRequestHandler classes in Apache Solr would resolve external entities, permitting XXE attacks. A remote attacker could use this flaw to read files accessible to the user running the application server, and potentially perform other more advanced XXE attacks.

Comment 3 errata-xmlrpc 2013-12-16 18:23:21 UTC
This issue has been addressed in following products:

  Red Hat JBoss Web Framework Kit 2.4.0

Via RHSA-2013:1844 https://rhn.redhat.com/errata/RHSA-2013-1844.html

Comment 4 errata-xmlrpc 2014-01-15 17:46:53 UTC
This issue has been addressed in following products:

  Red Hat JBoss Data Grid 6.2.0

Via RHSA-2014:0029 https://rhn.redhat.com/errata/RHSA-2014-0029.html


Note You need to log in before you can comment on or make changes to this bug.